Qore Programming Language 0.8.8

- Main Page
- Related Pages
- Modules
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Functions | Variables
QoreBoolNode.h File Reference

### (6086)

`#include <qore/AbstractQoreNode.h>`
Include dependency graph for QoreBoolNode.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | QoreBoolFalseNode
| Qore's boolean "false" node, unique, not dynamically-allocated, not reference-counted. More...
class | QoreBoolNode
| base class for Qore's 2 boolean classes: QoreBoolTrueNode and QoreBoolFalseNode More...
class | QoreBoolTrueNode
| Qore's boolean "true" node, unique, not dynamically-allocated, not reference-counted. More...

## Functions
static QoreBoolNode * | get_bool_node (bool v)
| a little inline helper function for getting a boolean node

## Variables
DLLEXPORT QoreBoolFalseNode | False
| Qore's boolean false value.
DLLEXPORT QoreBoolTrueNode | True
| Qore's boolean true value.

## Detailed Description

contains definitions related to QoreBoolNode (Qore's boolean data type)